Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Unban All Members in a Group

Lift the mute status for all members in one or more specified groups.

Request Method

POST: https://data center domain/group/ban/rollback.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the API Request Signature rules.

Body Parameters

The HTTP request body may include the following form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID, supports setting multiple IDs at once, up to 20.

Request Example

POST /group/ban/rollback.json HTTP/1.1
Host: api.rong-api.com
App-Key: c9kqb3rdkbb8j
NONCE: 97
TIMESTAMP: 1480479442
SIGNATURE: 9774e3d91656dc92df8aff294d46d6a506412538
Content-Type: application/x-www-form-urlencoded

groupId=L6c85orxt&groupId=X6c95orxt

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code, 200 for success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}